
Ruby - Bug #10606

Ruby on consoles emulators

12/16/2014 06:25 PM - iffitheking (Irfan Ahmed)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.1.5p273 (2014-11-13 revision

48405) [i386-mingw32]

Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN

Description

I am unable to use Ruby on consoles emulators, ConEmu, PowerCmd, Ruby programs execute perfect on windows default CMD,

(and I hate it) I tried uninstalling Ruby and install it again but it doesn't work. once the program try to get in put, (when there is no

input program execute fine) here is the error message I am getting on ConEmu:

C:\Users\1234> "D:\Desktopbackup\Ruby lessons\1102divdbyZero.rb"

Enter numerator: D:/Desktopbackup/Ruby lessons/1102divdbyZero.rb:2:

[BUG] Segmentation

ruby 2.1.5p273 (2014-11-13 revision 48405) [i386-mingw32]

-- Control frame information

-----------------------------------------------

c:0004 p:---- s:0012 e:000011 CFUNC  :gets

c:0003 p:---- s:0010 e:000009 CFUNC  :gets

c:0002 p:0013 s:0007 E:002638 EVAL   D:/Desktopbackup/Ruby

lessons/1102divdbyZero.rb:2

c:0001 p:0000 s:0002 E:002024 TOP    [FINISH]

D:/Desktopbackup/Ruby lessons/1102divdbyZero.rb:2:in `<main>'

D:/Desktopbackup/Ruby lessons/1102divdbyZero.rb:2:in `gets'

D:/Desktopbackup/Ruby lessons/1102divdbyZero.rb:2:in `gets'

-- C level backtrace information

-------------------------------------------

C:\Windows\SysWOW64\ntdll.dll(ZwWaitForSingleObject+0x15) [0x7769F8D1]

C:\Windows\syswow64\kernel32.dll(WaitForSingleObjectEx+0x43)

[0x766C1194]

C:\Windows\syswow64\kernel32.dll(WaitForSingleObject+0x12) [0x766C1148]

C:\Ruby21\bin\msvcrt-ruby210.dll(rb_vm_bugreport+0xa7) [0x6D394A17]

C:\Ruby21\bin\msvcrt-ruby210.dll(rb_name_err_mesg_new+0x69f)

[0x6D248F7F]

C:\Ruby21\bin\msvcrt-ruby210.dll(rb_bug+0x2e) [0x6D249D5E]

C:\Ruby21\bin\msvcrt-ruby210.dll(rb_check_safe_str+0x34b) [0x6D31486B]

 [0x00401866]

C:\Windows\SysWOW64\ntdll.dll(RtlKnownExceptionFilter+0xb7) [0x776F74FF]

-- Other runtime information

-----------------------------------------------

* Loaded script: D:/Desktopbackup/Ruby lessons/1102divdbyZero.rb

* Loaded features:

 0 enumerator.so

    1 C:/Ruby21/lib/ruby/2.1.0/i386-mingw32/enc/encdb.so

    2 C:/Ruby21/lib/ruby/2.1.0/i386-mingw32/enc/iso_8859_1.so

    3 C:/Ruby21/lib/ruby/2.1.0/i386-mingw32/enc/trans/transdb.so

    4 C:/Ruby21/lib/ruby/2.1.0/i386-mingw32/rbconfig.rb

    5 C:/Ruby21/lib/ruby/2.1.0/rubygems/compatibility.rb

    6 C:/Ruby21/lib/ruby/2.1.0/rubygems/defaults.rb
    7 C:/Ruby21/lib/ruby/2.1.0/rubygems/deprecate.rb

    8 C:/Ruby21/lib/ruby/2.1.0/rubygems/errors.rb

    9 C:/Ruby21/lib/ruby/2.1.0/rubygems/version.rb

   10 C:/Ruby21/lib/ruby/2.1.0/rubygems/requirement.rb

   11 C:/Ruby21/lib/ruby/2.1.0/rubygems/platform.rb

   12 C:/Ruby21/lib/ruby/2.1.0/rubygems/basic_specification.rb

   13 C:/Ruby21/lib/ruby/2.1.0/rubygems/stub_specification.rb

   14 C:/Ruby21/lib/ruby/2.1.0/rubygems/util/stringio.rb

   15 C:/Ruby21/lib/ruby/2.1.0/rubygems/specification.rb

   16 C:/Ruby21/lib/ruby/2.1.0/rubygems/exceptions.rb

   17 C:/Ruby21/lib/ruby/2.1.0/rubygems/defaults/operating_system.rb

   18 C:/Ruby21/lib/ruby/2.1.0/rubygems/core_ext/kernel_gem.rb

   19 thread.rb

   20 C:/Ruby21/lib/ruby/2.1.0/i386-mingw32/thread.so

   21 C:/Ruby21/lib/ruby/2.1.0/monitor.rb

   22 C:/Ruby21/lib/ruby/2.1.0/rubygems/core_ext/kernel_require.rb

   23 C:/Ruby21/lib/ruby/2.1.0/rubygems.rb

[NOTE]

You may have encountered a bug in the Ruby interpreter or extension

libraries.

Bug reports are welcome.

For details: http://www.ruby-lang.org/bugreport.html

This application has requested the Runtime to terminate it in an unusual way.

Please contact the application's support team for more information.

 and on other console PowerCmd once it's get the input it gets blank.

I have been trying to solve this problem for couple of days in vain.

Help me here I'll be grateful.

Regards,

Iffi

Related issues:

Related to Ruby - Bug #10408: [BUG] Segmentation fault  ruby 2.1.3p242 (2014-... Closed 10/21/2014

Related to Ruby - Bug #10546: Bug Segmentation Fault when input prompt on cmder Closed 11/26/2014

History

#1 - 12/16/2014 06:29 PM - luislavena (Luis Lavena)

This seems related to #10408

If things works with cmd.exe, then the problem is around ConEmu/ConsoleZ hooks on the ruby.exe process.

#2 - 12/16/2014 06:31 PM - luislavena (Luis Lavena)

- Related to Bug #10408: [BUG] Segmentation fault  ruby 2.1.3p242 (2014-09-19 revision 47630) [i386-mingw32]                      added

#3 - 12/16/2014 06:32 PM - luislavena (Luis Lavena)

- Related to Bug #10546: Bug Segmentation Fault when input prompt on cmder added

#4 - 12/16/2014 06:33 PM - luislavena (Luis Lavena)

Correction, this was fixed in #10546 and will be part of future releases (#10546 needs to be backported)

#5 - 12/16/2014 06:50 PM - iffitheking (Irfan Ahmed)

Luis Lavena wrote:

Correction, this was fixed in #10546 and will be part of future releases (#10546 needs to be backported)

 Sorry I am new to programming and ruby how it was fixed? when I went to that thread I can not see and solution?? can you please explain in detail if

you don't mind.
#6 - 12/16/2014 07:01 PM - luislavena (Luis Lavena)

- Status changed from Open to Rejected

Irfan Ahmed wrote:

Sorry I am new to programming and ruby how it was fixed? when I went to that thread I can not see and solution?? can you please explain in

detail if you don't mind.

 This was fixed in the code:

https://bugs.ruby-lang.org/projects/ruby-trunk/repository/revisions/48585

Which will be part of next release.

I recommend you use cmd.exe until an updated version is ship with the fix.

#7 - 12/16/2014 07:07 PM - iffitheking (Irfan Ahmed)

Luis Lavena wrote:

Irfan Ahmed wrote:

Sorry I am new to programming and ruby how it was fixed? when I went to that thread I can not see and solution?? can you please explain

in detail if you don't mind.

 This was fixed in the code:

https://bugs.ruby-lang.org/projects/ruby-trunk/repository/revisions/48585

 ahh ok so it's not fixed then, thanks for your help. :)

Which will be part of next release.

I recommend you use cmd.exe until an updated version is ship with the fix.

#8 - 12/28/2014 02:39 PM - nobu (Nobuyoshi Nakada)

- Description updated

- Status changed from Rejected to Closed
